package com.yihu.quota.model.view;


import com.yihu.ehr.entity.BaseAssignedEntity;
import com.yihu.ehr.entity.BaseIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 视图维度 entity
 *
 * @author janseny
 * @date 2018年9月26日
 */
@Entity
@Table(name = "olap_view_dimension")
public class ViewDimension extends BaseAssignedEntity {

    public String viewId; // 视图Id
    public String dimensionCode; // 维度编码
    public String dimensionName; // 维度名称
    public String esIndex; // 多维数据集的 ES index
    public String esType; //  多维数据集的 ES type
    public String dimensionType; // 维度类型，row：行维度，col：列维度，drill：钻取维度，默认行维度。
    public Integer groupRow; // 行维度组
    public Integer groupRowOrder; // 组内行维度顺序
    public Integer columnDrillOrder; //列维度/钻取维度的顺序
    public String rowMemberOrderType; //行维度成员排序方式，name：按名称排序，sub_agg：按子聚合统计值排序，默认按名称排序。
    public Integer rowMemberCount; //行维度成员返回个数

    @Column(name = "view_id")
    public String getViewId() {
        return viewId;
    }

    public void setViewId(String viewId) {
        this.viewId = viewId;
    }

    @Column(name = "dimension_code")
    public String getDimensionCode() {
        return dimensionCode;
    }

    public void setDimensionCode(String dimensionCode) {
        this.dimensionCode = dimensionCode;
    }

    @Column(name = "dimension_name")
    public String getDimensionName() {
        return dimensionName;
    }

    public void setDimensionName(String dimensionName) {
        this.dimensionName = dimensionName;
    }

    @Column(name = "es_index")
    public String getEsIndex() {
        return esIndex;
    }

    public void setEsIndex(String esIndex) {
        this.esIndex = esIndex;
    }

    @Column(name = "es_type")
    public String getEsType() {
        return esType;
    }

    public void setEsType(String esType) {
        this.esType = esType;
    }

    @Column(name = "dimension_type")
    public String getDimensionType() {
        return dimensionType;
    }

    public void setDimensionType(String dimensionType) {
        this.dimensionType = dimensionType;
    }

    @Column(name = "group_row")
    public Integer getGroupRow() {
        return groupRow;
    }

    public void setGroupRow(Integer groupRow) {
        this.groupRow = groupRow;
    }

    @Column(name = "group_row_order")
    public Integer getGroupRowOrder() {
        return groupRowOrder;
    }

    public void setGroupRowOrder(Integer groupRowOrder) {
        this.groupRowOrder = groupRowOrder;
    }

    @Column(name = "column_drill_order")
    public Integer getColumnDrillOrder() {
        return columnDrillOrder;
    }

    public void setColumnDrillOrder(Integer columnDrillOrder) {
        this.columnDrillOrder = columnDrillOrder;
    }

    @Column(name = "row_member_order_type")
    public String getRowMemberOrderType() {
        return rowMemberOrderType;
    }

    public void setRowMemberOrderType(String rowMemberOrderType) {
        this.rowMemberOrderType = rowMemberOrderType;
    }

    @Column(name = "row_member_count")
    public Integer getRowMemberCount() {
        return rowMemberCount;
    }

    public void setRowMemberCount(Integer rowMemberCount) {
        this.rowMemberCount = rowMemberCount;
    }
}
